

public class Cliente {
	
	private static Cliente cli1 = null;
	private static Cliente cli2 = null;
	private static Cliente cli3 = null;
	private static Cliente cli4 = null;
	
	public Cliente(int numcliente) {
		pedido = Pedido.getInstance(numcliente);
	}
	
	public static Cliente getInstance(int numcliente) {
		switch (numcliente) {
		case 1:
			if(cli1 == null) 
					cli1 = new Cliente(1);
			return cli1;
		case 2:
			if(cli2 == null) 
				cli2 = new Cliente(2);
			return cli2;
		case 3:
			if(cli3 == null) 
				cli3 = new Cliente(3);
			return cli3;
		case 4:
			if(cli4 == null) 
				cli4 = new Cliente(4);
			return cli4;
		default: return null;
		}
	}
	
	public void setPedido(Pedido pedido) {
		this.pedido=pedido;
	}
	
	public Pedido getPedido() {
		return pedido;
	}
	
	private Pedido pedido;
}